Page MenuHomePhabricator

CX1: when clicking on an unadaptable link in the source article, the red link card hides the blue link card
Closed, ResolvedPublic

Description

Click on a source link that doesn't have a corresponding target link.

What happens is that a link card pointing to the source link is shown, and an empty "red" link card is shown, which allows to add a red link in the translation, and the red link card almost completely hides the blue link card.

Functionally this makes sense, but because the source link card is almost completely obscured and just the text-only red link card is shown, the context is not quite clear to the user.

Seeing the source link title and image should make it less weird, but I'd love to hear The Designer's opinion.

Event Timeline

Amire80 created this task.Jul 11 2015, 8:09 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2015, 8:09 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 11 2015, 8:32 PM
Amire80 moved this task from Backlog to Bugs on the ContentTranslation-Release6 board.
Pginer-WMF added a comment.EditedJul 14 2015, 12:27 PM

When clicking an unadapted link the main action is to decide whether to include it as a red link in the translation or not.

Links are shown as pairs of cards. Although exploring the source content is a legitimate use, the main purpose is to act on the translation (add the link or the redlink). Thus, it makes sense to devote more real state to the main actions while still suggesting the path to the secondary ones.

We have been using this metaphor of card pairs for regular links for a while and users had no issues identifying the card which is behind as the corresponding card for source. So it is not clear which is the specific issue we are trying to solve here (is the secondary card more hidden than usual?maybe a screenshot would help).

Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:43 PM
Amire80 renamed this task from when clicking on a an unadaptable link in the source article, the red link card hides the blue link card to when clicking on an unadaptable link in the source article, the red link card hides the blue link card.Jul 29 2015, 10:44 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Aug 5 2019, 1:23 PM
Arrbee renamed this task from when clicking on an unadaptable link in the source article, the red link card hides the blue link card to CX1: when clicking on an unadaptable link in the source article, the red link card hides the blue link card.Aug 5 2019, 2:37 PM
Arrbee closed this task as Resolved.
Arrbee claimed this task.
Arrbee added a subscriber: Arrbee.

Fixed in CX2